
package lecturaobjetosserializados;

import encapsuladores.Estado;
import java.io.File;
import java.io.FileInputStream;
import java.io.ObjectInputStream;

public class LecturaObjetosSerializados {

    public static void main(String[] args) {
        try{            
             ObjectInputStream objectInputStream = new ObjectInputStream(new FileInputStream(new File("D:\\archivos_creados_Java\\objetos_serializados.dat")));
             int numeroEstados = objectInputStream.readInt();
             Estado estado;
             for (int i=1; i<=numeroEstados; i++)
             {
                estado = (Estado) objectInputStream.readObject(); 
                System.out.println(estado.getIdEstado());
                System.out.println(estado.getNombre());
                System.out.println(estado.getNumeroHabitantes());
                System.out.println("-------------------------");
             }
             objectInputStream.close();
           } catch (Exception excepcion)
               {System.out.println(excepcion.getMessage());}    
    }
}
